Skip to main content
Pause billing for an existing Subscription at the beginning of the next billing cycle (default) or immediately with an optional reason for the pause. If no other action is taken upon the Subscription, it will remain paused for 5 years, and then cancel. Subscription Pause revokes entitlements on the effective date of the pause. When pausing a Subscription effective immediately, entitlements are revoked immediately but a prorated refund for time remaining in a current service period is not automatically issued. Merchants can choose to separately calculate (manually) and issue a refund (via API or Portal) in cases where immediate pause is desired. Note:
  • Only Active/Good Standing subscriptions can be paused.
  • Paused subscriptions can only be Resumed or Cancelled.
  • A pause_history list of Subscription Pause objects will be added to the Subscription object for each pause and resume activity on a Subscription.
  • Subscriptions paused immediately are paused without refund and will return “Paused” as both status and billing_state.
  • Subscriptions paused at the beginning of the next billing cycle will return “Pending Pause” as both status and billing_state until the end of the current billing cycle. At the beginning of the next billing cycle, the Subscription will automatically move from “Pending Pause” to “Paused” status and billing_state.
  • On the effective date of the pause, a Subscriptions Paused Push Notification is triggered if the Merchant is subscribed to that ‘autobills’ push class and ‘pause’ event.
  • Entitlements granted from the BillingPlan (or any active Product of the Subscription) are stopped on the effective date of the pause, and Entitlements Stopped Push Notifications are triggered if the Merchant is subscribed to the ‘entitlement’ push class and the ‘stop’ push event.

Reason Codes

Subscribe provides the following default reason codes. Note: Merchant-specific reason codes can be implemented through Subscribe Delivery or Support Teams.

HTTP Request

POST https://api.vindicia.com/subscriptions/:id/actions/pause

Route (URL) Parameters

Query Parameters

Accepts

None

Returns

JSON - oneOf:
  • Subscription object
  • Error object
Parent topic:Subscriptions